
QGIS Application - Bug report #13569

memory leak in renderer

2015-10-12 01:56 AM - Regis Haubourg

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 21611

Description

When triggering redraws, especially on big projects, memory slowly or rapidly increases. High memory usages leads sometimes to crash.

Issue dicussed and confirmed here: [[http://osgeo-org.1560.x6.nabble.com/Possible-memory-leak-in-QGIS-redraws-td5228794.html]]

noplugin option does not help. It has been present at least since 2.4. 2.6 is severely touched, when 2.8 is better. 2.10 and master stil

affected

We need to narrow that issue down since it is a real blocker for long sessions and big project.

History

#1 - 2015-10-12 04:17 AM - Nyall Dawson

Are you able to share some more details which may help? Specifically:

- what renderers & symbol styles are active in your project?

- does disabling all labeling help?

I've been unable to track any leaks within QGIS but also see this memory usage increase. My current hunch is that the leak is either within Qt or the geos

library (they are the only possibly relevant leaks reported under valgrind).

#2 - 2015-10-12 04:17 AM - Nyall Dawson

- Status changed from Open to Feedback

#3 - 2015-12-26 05:32 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

http://osgeo-org.1560.x6.nabble.com/Possible-memory-leak-in-QGIS-redraws-td5228794.html

suggest that this has been fixed and what is not it will be with the switch to qt5. Please reopen of necessary.
